<?php

/**psr-4 */
require_once "vendor/autoload.php";
date_default_timezone_set('America/Lima');
//echo date("Y/m/d",strtotime(date('Y/m/d')."+ 1 days"));die();
/*coneccion */
use App\Libreria\Conexion; new Conexion();
use App\Models\Solicitante;
use App\Models\Empresa;

require_once('session.php');


$fecha_de = date('Y/m/d', strtotime('2020/05/01'));
$fecha_asta = date("Y/m/d");


if (!empty($_GET['fecha_de'])) {
    $fecha_de = date("Y/m/d", strtotime($_GET['fecha_de']));
}
if (!empty($_GET['fecha_asta'])) {
    $fecha_asta = date("Y/m/d", strtotime($_GET['fecha_asta']));
}

//$solicitantes = Solicitante::whereBetween('created_at',[date("Y/m/d",strtotime($fecha_de."- 1 days")),date("Y/m/d",strtotime($fecha_asta."+ 1 days"))])->orderBy('id','desc')->get();
$solicitantes = Solicitante::whereDate('created_at','>=',$fecha_de)
->whereDate('created_at','<=',$fecha_asta)
->orderBy('id','desc')
//->limit(30)
->get();
$empresa = Empresa::first();

$loader = new \Twig\Loader\FilesystemLoader('public/views');
$twig = new \Twig\Environment($loader, [
    'debug' => true,
    'cache' => false,
]);

echo $twig->render('resividos.html',[
    'solicitantes' => $solicitantes,
    'empresa' => $empresa,
    'fecha_de' => date("Y-m-d", strtotime($fecha_de)),
    'fecha_asta' => date("Y-m-d", strtotime($fecha_asta)),
    'user' => $_SESSION['user'],
    'privilegios' => $_SESSION['privilegios']
]);